diff --git a/configure.ac b/configure.ac
index bcbfd18..b26a4a7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -54,6 +54,10 @@ AC_ARG_WITH([statedir],
 	AC_DEFINE_UNQUOTED([FEDFS_DEFAULT_STATEDIR], ["$statedir"],
 		[Define to the default pathname of the directory where fedfsd maintains persistent state.])
 
+# Publication date stamp for man pages
+pubdate=`date +"%e %B %Y"`
+AC_SUBST(pubdate)
+
 # Checks for programs.
 AC_PROG_CC
 AC_PROG_INSTALL
diff --git a/doc/CheckInTests b/doc/CheckInTests
index 6ad99d7..fc67da3 100644
--- a/doc/CheckInTests
+++ b/doc/CheckInTests
@@ -133,5 +133,6 @@ Per-release
   4. Create a commit for the release
   5. Create a tag for the release commit
   6. gc the git database and push the release
-  7. "make dist" and publish the tarball
+  7. "make distclean; sh ./autogen.sh; ./configure"
+  8. "make distcheck" and publish the tarball
 
diff --git a/doc/man/Makefile.am b/doc/man/Makefile.am
index c18d5a7..2c105af 100644
--- a/doc/man/Makefile.am
+++ b/doc/man/Makefile.am
@@ -42,6 +42,12 @@ dist_man8_MANS		= rpc.fedfsd.8 mount.fedfs.8 fedfs-map-nfs4.8 \
 CLEANFILES		= cscope.in.out cscope.out cscope.po.out
 DISTCLEANFILES		= Makefile.in
 
+dist-hook:
+	(cd $(distdir) && \
+	  for p in $(dist_man7_MANS) $(dist_man8_MANS); do \
+	    $(SED) -i 's,[@]publication-date@,$(pubdate),' $$p ;\
+	  done)
+
 install-data-hook:
 	(cd $(DESTDIR)$(mandir)/man7 && \
 	  for p in $(dist_man7_MANS); do \
diff --git a/doc/man/fedfs-create-junction.8 b/doc/man/fedfs-create-junction.8
index f9c4530..756fa3c 100644
--- a/doc/man/fedfs-create-junction.8
+++ b/doc/man/fedfs-create-junction.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-CREATE-JUNCTION 8 "30 Apr 2011"
+.TH FEDFS-CREATE-JUNCTION 8 "@publication-date@"
 .SH NAME
 fedfs-create-junction \- send a FEDFS_CREATE_JUNCTION ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-create-replication.8 b/doc/man/fedfs-create-replication.8
index b500ae5..464756e 100644
--- a/doc/man/fedfs-create-replication.8
+++ b/doc/man/fedfs-create-replication.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-CREATE-REPLICATION 8 "30 Apr 2011"
+.TH FEDFS-CREATE-REPLICATION 8 "@publication-date@"
 .SH NAME
 fedfs-create-replication \- send a FEDFS_CREATE_REPLICATION ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-delete-junction.8 b/doc/man/fedfs-delete-junction.8
index 825d979..461b8cc 100644
--- a/doc/man/fedfs-delete-junction.8
+++ b/doc/man/fedfs-delete-junction.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-DELETE-JUNCTION 8 "30 Apr 2011"
+.TH FEDFS-DELETE-JUNCTION 8 "@publication-date@"
 .SH NAME
 fedfs-delete-junction \- send a FEDFS_DELETE_JUNCTION ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-delete-replication.8 b/doc/man/fedfs-delete-replication.8
index 71939c4..c083b70 100644
--- a/doc/man/fedfs-delete-replication.8
+++ b/doc/man/fedfs-delete-replication.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-DELETE-REPLICATION 8 "30 Apr 2011"
+.TH FEDFS-DELETE-REPLICATION 8 "@publication-date@"
 .SH NAME
 fedfs-delete-replication \- send a FEDFS_DELETE_REPLICATION ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-get-limited-nsdb-params.8 b/doc/man/fedfs-get-limited-nsdb-params.8
index ceb5933..a438fc3 100644
--- a/doc/man/fedfs-get-limited-nsdb-params.8
+++ b/doc/man/fedfs-get-limited-nsdb-params.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-GET-LIMITED-NSDB-PARAMS 8 "30 Apr 2011"
+.TH FEDFS-GET-LIMITED-NSDB-PARAMS 8 "@publication-date@"
 .SH NAME
 fedfs-get-limited-nsdb-params \- send a FEDFS_GET_LIMITED_NSDB_PARAMS ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-get-nsdb-params.8 b/doc/man/fedfs-get-nsdb-params.8
index 60fe093..13fa1e9 100644
--- a/doc/man/fedfs-get-nsdb-params.8
+++ b/doc/man/fedfs-get-nsdb-params.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-GET-NSDB-PARAMS 8 "30 Apr 2011"
+.TH FEDFS-GET-NSDB-PARAMS 8 "@publication-date@"
 .SH NAME
 fedfs-get-nsdb-params \- send a FEDFS_GET_NSDB_PARAMS ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-lookup-junction.8 b/doc/man/fedfs-lookup-junction.8
index 2b199dc..69a9efd 100644
--- a/doc/man/fedfs-lookup-junction.8
+++ b/doc/man/fedfs-lookup-junction.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-LOOKUP-JUNCTION 8 "30 Apr 2011"
+.TH FEDFS-LOOKUP-JUNCTION 8 "@publication-date@"
 .SH NAME
 fedfs-lookup-junction \- send a FEDFS_LOOKUP_JUNCTION ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-lookup-replication.8 b/doc/man/fedfs-lookup-replication.8
index 0301169..3fc7d8b 100644
--- a/doc/man/fedfs-lookup-replication.8
+++ b/doc/man/fedfs-lookup-replication.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-LOOKUP-REPLICATION 8 "30 Apr 2011"
+.TH FEDFS-LOOKUP-REPLICATION 8 "@publication-date@"
 .SH NAME
 fedfs-lookup-replication \- send a FEDFS_LOOKUP_REPLICATION ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-map-nfs4.8 b/doc/man/fedfs-map-nfs4.8
index 0593f65..7f7b9af 100644
--- a/doc/man/fedfs-map-nfs4.8
+++ b/doc/man/fedfs-map-nfs4.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-MAP-NFS4 8 "30 Apr 2011"
+.TH FEDFS-MAP-NFS4 8 "@publication-date@"
 .SH NAME
 fedfs-map-nfs4 \- generate automounter program map entries for FedFS
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-null.8 b/doc/man/fedfs-null.8
index cfafc8e..e0f1824 100644
--- a/doc/man/fedfs-null.8
+++ b/doc/man/fedfs-null.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-NULL 8 "30 Apr 2011"
+.TH FEDFS-NULL 8 "@publication-date@"
 .SH NAME
 fedfs-null \- send a FEDFS_NULL ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs-set-nsdb-params.8 b/doc/man/fedfs-set-nsdb-params.8
index 87de31d..3e44a52 100644
--- a/doc/man/fedfs-set-nsdb-params.8
+++ b/doc/man/fedfs-set-nsdb-params.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH FEDFS-SET-NSDB-PARAMS 8 "30 Apr 2011"
+.TH FEDFS-SET-NSDB-PARAMS 8 "@publication-date@"
 .SH NAME
 fedfs-set-nsdb-params \- send a FEDFS_SET_NSDB_PARAMS ADMIN protocol request
 .SH SYNOPSIS
diff --git a/doc/man/fedfs.7 b/doc/man/fedfs.7
index 8cca5b3..8393a15 100644
--- a/doc/man/fedfs.7
+++ b/doc/man/fedfs.7
@@ -24,7 +24,7 @@
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
 .\"
-.TH FEDFS 7 "31 Mar 2011"
+.TH FEDFS 7 "@publication-date@"
 .SH NAME
 fedfs \- The Linux Federated File System implementation
 .SH DESCRIPTION
diff --git a/doc/man/mount.fedfs.8 b/doc/man/mount.fedfs.8
index d6b7b8a..61a48a0 100644
--- a/doc/man/mount.fedfs.8
+++ b/doc/man/mount.fedfs.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH MOUNT.FEDFS 8 "31 Mar 2011"
+.TH MOUNT.FEDFS 8 "@publication-date@"
 .SH NAME
 mount.fedfs \- mount a FedFS domain root
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-annotate.8 b/doc/man/nsdb-annotate.8
index 239107e..9634bc9 100644
--- a/doc/man/nsdb-annotate.8
+++ b/doc/man/nsdb-annotate.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-ANNOTATE 8 "15 May 2011"
+.TH NSDB-ANNOTATE 8 "@publication-date@"
 .SH NAME
 nsdb-annotate \- modify the fedfsAnnotation attribute of an NSDB entry
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-create-fsl.8 b/doc/man/nsdb-create-fsl.8
index 5be8e63..66a583c 100644
--- a/doc/man/nsdb-create-fsl.8
+++ b/doc/man/nsdb-create-fsl.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-CREATE-FSL 8 "15 May 2011"
+.TH NSDB-CREATE-FSL 8 "@publication-date@"
 .SH NAME
 nsdb-create-fsl \- create a fileset location (FSL) record on an NSDB
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-create-fsn.8 b/doc/man/nsdb-create-fsn.8
index ee002a4..7319e28 100644
--- a/doc/man/nsdb-create-fsn.8
+++ b/doc/man/nsdb-create-fsn.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-CREATE-FSN 8 "15 May 2011"
+.TH NSDB-CREATE-FSN 8 "@publication-date@"
 .SH NAME
 nsdb-create-fsn \- create a fileset name (FSN) record on an NSDB
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-delete-fsl.8 b/doc/man/nsdb-delete-fsl.8
index 1ed015c..1d3b2ab 100644
--- a/doc/man/nsdb-delete-fsl.8
+++ b/doc/man/nsdb-delete-fsl.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-DELETE-FSL 8 "15 May 2011"
+.TH NSDB-DELETE-FSL 8 "@publication-date@"
 .SH NAME
 nsdb-delete-fsl \- delete a fileset location (FSL) record from an NSDB
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-delete-fsn.8 b/doc/man/nsdb-delete-fsn.8
index c982436..7e8ea84 100644
--- a/doc/man/nsdb-delete-fsn.8
+++ b/doc/man/nsdb-delete-fsn.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-DELETE-FSN 8 "15 May 2011"
+.TH NSDB-DELETE-FSN 8 "@publication-date@"
 .SH NAME
 nsdb-delete-fsn \- delete a fileset name (FSN) record from an NSDB
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-delete-nsdb.8 b/doc/man/nsdb-delete-nsdb.8
index 481b57a..3bf33c6 100644
--- a/doc/man/nsdb-delete-nsdb.8
+++ b/doc/man/nsdb-delete-nsdb.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-REMOVE-NCI 8 "15 August 2011"
+.TH NSDB-REMOVE-NCI 8 "@publication-date@"
 .SH NAME
 nsdb-delete-nsdb \- remove all FedFS info from an NSDB
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-describe.8 b/doc/man/nsdb-describe.8
index 6fcff03..f060d43 100644
--- a/doc/man/nsdb-describe.8
+++ b/doc/man/nsdb-describe.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-DESCRIBE 8 "15 May 2011"
+.TH NSDB-DESCRIBE 8 "@publication-date@"
 .SH NAME
 nsdb-describe \- modify the fedfsDescr attribute of an NSDB entry
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-list.8 b/doc/man/nsdb-list.8
index f6b3007..46cba42 100644
--- a/doc/man/nsdb-list.8
+++ b/doc/man/nsdb-list.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-LIST 8 "15 May 2011"
+.TH NSDB-LIST 8 "@publication-date@"
 .SH NAME
 nsdb-list \- list file set name and location entries on an NSDB
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-nces.8 b/doc/man/nsdb-nces.8
index 1c65020..69639af 100644
--- a/doc/man/nsdb-nces.8
+++ b/doc/man/nsdb-nces.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-NCES 8 "15 May 2011"
+.TH NSDB-NCES 8 "@publication-date@"
 .SH NAME
 nsdb-nces \- list NSDB container entries on an LDAP server
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-remove-nci.8 b/doc/man/nsdb-remove-nci.8
index 10f23f4..875d6e6 100644
--- a/doc/man/nsdb-remove-nci.8
+++ b/doc/man/nsdb-remove-nci.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-REMOVE-NCI 8 "15 August 2011"
+.TH NSDB-REMOVE-NCI 8 "@publication-date@"
 .SH NAME
 nsdb-remove-nci \- remove NSDB container information from an LDAP server
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-resolve-fsn.8 b/doc/man/nsdb-resolve-fsn.8
index 33ab2b7..68a1ae9 100644
--- a/doc/man/nsdb-resolve-fsn.8
+++ b/doc/man/nsdb-resolve-fsn.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-RESOLVE-FSN 8 "15 May 2011"
+.TH NSDB-RESOLVE-FSN 8 "@publication-date@"
 .SH NAME
 nsdb-resolve-fsn \- resolve a fileset name (FSN) record on an NSDB
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-update-fsl.8 b/doc/man/nsdb-update-fsl.8
index 49f2c46..2599f31 100644
--- a/doc/man/nsdb-update-fsl.8
+++ b/doc/man/nsdb-update-fsl.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-UPDATE-FSL 8 "15 May 2011"
+.TH NSDB-UPDATE-FSL 8 "@publication-date@"
 .SH NAME
 nsdb-update-fsl \- update attributes of a fileset location (FSL) record
 .SH SYNOPSIS
diff --git a/doc/man/nsdb-update-nci.8 b/doc/man/nsdb-update-nci.8
index f2798c8..60719f2 100644
--- a/doc/man/nsdb-update-nci.8
+++ b/doc/man/nsdb-update-nci.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDB-UPDATE-NCI 8 "15 August 2011"
+.TH NSDB-UPDATE-NCI 8 "@publication-date@"
 .SH NAME
 nsdb-update-nci \- update NSDB container information on an LDAP server
 .SH SYNOPSIS
diff --git a/doc/man/nsdbparams.8 b/doc/man/nsdbparams.8
index 265cf54..3f8ed8d 100644
--- a/doc/man/nsdbparams.8
+++ b/doc/man/nsdbparams.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH NSDBPARAMS 8 "30 Apr 2011"
+.TH NSDBPARAMS 8 "@publication-date@"
 .SH NAME
 nsdbparams \- manage local NSDB connection parameter database
 .SH SYNOPSIS
diff --git a/doc/man/rpc.fedfsd.8 b/doc/man/rpc.fedfsd.8
index 2c632ab..6ae16de 100644
--- a/doc/man/rpc.fedfsd.8
+++ b/doc/man/rpc.fedfsd.8
@@ -23,7 +23,7 @@
 .\"
 .\"	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 .\"
-.TH RPC.FEDFSD 8 "15 Mar 2011"
+.TH RPC.FEDFSD 8 "@publication-date@"
 .SH NAME
 rpc.fedfsd \- FedFS administrative service daemon
 .SH SYNOPSIS