diff --git a/configure.ac b/configure.ac
index 3a4316e..2a2052f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -149,7 +149,7 @@ AC_SUBST([root_sbindir])
 
 AC_CONFIG_FILES([Makefile
                  contrib/Makefile
-                 contrib/init-scripts/Makefile
+                 contrib/init/Makefile
                  doc/Makefile
                  doc/ldap/Makefile
                  doc/man/Makefile
diff --git a/contrib/Makefile.am b/contrib/Makefile.am
index 7d68051..ee19f6b 100644
--- a/contrib/Makefile.am
+++ b/contrib/Makefile.am
@@ -23,7 +23,7 @@
 ##	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 ##
 
-SUBDIRS			= init-scripts
+SUBDIRS			= init
 
 CLEANFILES		= cscope.in.out cscope.out cscope.po.out *~
 DISTCLEANFILES		= Makefile.in
diff --git a/contrib/init-scripts/Makefile.am b/contrib/init-scripts/Makefile.am
deleted file mode 100644
index d1f35a5..0000000
--- a/contrib/init-scripts/Makefile.am
+++ /dev/null
@@ -1,29 +0,0 @@
-##
-## @file contrib/init-scripts/Makefile.am
-## @brief Process this file with automake to produce contrib/init-scripts/Makefile.in
-##
-
-##
-## Copyright 2011 Oracle.  All rights reserved.
-##
-## This file is part of fedfs-utils.
-##
-## fedfs-utils is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License version 2.0 as
-## published by the Free Software Foundation.
-##
-## fedfs-utils is distributed in the hope that it will be useful, but
-## WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License version 2.0 for more details.
-##
-## You should have received a copy of the GNU General Public License
-## version 2.0 along with fedfs-utils.  If not, see:
-##
-##	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
-##
-
-EXTRA_DIST		= fedfs rpcfedfsd
-
-CLEANFILES		= cscope.in.out cscope.out cscope.po.out *~
-DISTCLEANFILES		= Makefile.in
diff --git a/contrib/init-scripts/fedfs b/contrib/init-scripts/fedfs
deleted file mode 100644
index aa40100..0000000
--- a/contrib/init-scripts/fedfs
+++ /dev/null
@@ -1,11 +0,0 @@
-# /etc/sysconfig/fedfs
-#
-# This configuration file controls the behavior of the rpc.fedfsd
-# daemon, part of the fedfs-utils package.  For the vast majority
-# of users, there shouldn't be any need to alter the contents of
-# this file at all.
-
-#
-# Optional arguments passed to rpc.fedfsd.  See rpc.fedfsd(8)
-#
-#RPCFEDFSDARGS="--debug --uid 501 --gid 501 --port 45678"
diff --git a/contrib/init-scripts/rpcfedfsd b/contrib/init-scripts/rpcfedfsd
deleted file mode 100755
index 0fcbe96..0000000
--- a/contrib/init-scripts/rpcfedfsd
+++ /dev/null
@@ -1,121 +0,0 @@
-#!/bin/bash
-#
-# rpcfedfsd     Start up and shut down FedFS admin service
-#
-# chkconfig: 345 19 83
-# description: Starts user-level daemon for NFSv4 that handles \
-#              FedFS administrative requests
-
-### BEGIN INIT INFO
-# Provides: rpcfedfsd
-# Required-Start: $network $syslog
-# Required-Stop: $network $syslog
-# Default-Start: 3 4 5
-# Default-Stop: 0 1 6
-# Short-Description: Starts the NFSv4 fedfsd daemon
-# Description: NFS is a popular protocol for file sharing across \
-#          networks. This daemon processes FedFS administrative \
-#          requests on NFSv4 exports.
-### END INIT INFO
-
-##
-## Copyright 2011 Oracle.  All rights reserved.
-##
-## rpcfedfsd is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License version 2.0 as
-## published by the Free Software Foundation.
-##
-## rpcfedfsd is distributed in the hope that it will be useful, but
-## WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License version 2.0 for more details.
-##
-## A copy of the GNU General Public License version 2.0 is
-## available here:
-##
-##      http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
-##
-
-# Source function library.
-. /etc/init.d/functions
-
-# Source networking configuration.
-[ -f /etc/sysconfig/network ] &&  . /etc/sysconfig/network
-
-# Check for, and source, configuration file; otherwise set defaults
-[ -f /etc/sysconfig/fedfs ] && . /etc/sysconfig/fedfs
-
-RETVAL=0
-prog="rpc.fedfsd"
-LOCKFILE=/var/lock/subsys/$prog
-uid=`id | cut -d\( -f1 | cut -d= -f2`
-
-case "$1" in
-  start|condstart)
-	# Check that networking is up.
-	[ "${NETWORKING}" != "yes" ] && exit 6
-	
-	[ ! -x /usr/sbin/rpc.fedfsd ] && exit 5
-
-	# Only root can start the service
-	[ $uid -ne 0 ] && exit 4
-
-	# Make sure the daemon is not already running.
-	[ "$1" = "condstart" -a -n "`pidofproc $prog`" ] && {
-		killproc $prog "-SIGHUP" > /dev/null
-		exit 0
-	}
-	[ "$1" = "start" ] && {
-		if status $prog > /dev/null ; then
-			exit 0
-		fi
-	}
-	rm -f $LOCKFILE
-
-	echo -n $"Starting RPC fedfsd: "
-
-	# Start daemon.
-	daemon $prog ${RPCFEDFSDARGS}
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && touch $LOCKFILE
-	;;
-  stop)
-	# Only root can stop the service
-	[ $uid -ne 0 ] && exit 4
-
-	# Stop daemon.
-	echo -n $"Stopping RPC fedfsd: "
-	killproc $prog
-	RETVAL=$?
-	echo
-	rm -f $LOCKFILE
-	;;
-  status)
-	status rpc.fedfsd
-	RETVAL=$?
-	;;
-  restart|reload|force-reload)
-	$0 stop
-	$0 start
-	RETVAL=$?
-	;;
-  condrestart|try-restart)
-	if [ -f $LOCKFILE ]; then
-		$0 restart
-		RETVAL=$?
-	fi
-	;;
-  condstop)
-	if [ -f $LOCKFILE ]; then
-		$0 stop
-		RETVAL=$?
-	fi
-	;;
-  *)
-	echo $"Usage: $0 {start|stop|restart|force-reload|condstart|condrestart|try-restart|status|condstop}"
-	RETVAL=2
-	;;
-esac
-
-exit $RETVAL
diff --git a/contrib/init/Makefile.am b/contrib/init/Makefile.am
new file mode 100644
index 0000000..537b478
--- /dev/null
+++ b/contrib/init/Makefile.am
@@ -0,0 +1,29 @@
+##
+## @file contrib/init/Makefile.am
+## @brief Process this file with automake to produce contrib/init/Makefile.in
+##
+
+##
+## Copyright 2011 Oracle.  All rights reserved.
+##
+## This file is part of fedfs-utils.
+##
+## fedfs-utils is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License version 2.0 as
+## published by the Free Software Foundation.
+##
+## fedfs-utils is distributed in the hope that it will be useful, but
+## WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License version 2.0 for more details.
+##
+## You should have received a copy of the GNU General Public License
+## version 2.0 along with fedfs-utils.  If not, see:
+##
+##	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
+##
+
+EXTRA_DIST		= fedfs rpcfedfsd
+
+CLEANFILES		= cscope.in.out cscope.out cscope.po.out *~
+DISTCLEANFILES		= Makefile.in
diff --git a/contrib/init/fedfs b/contrib/init/fedfs
new file mode 100644
index 0000000..aa40100
--- /dev/null
+++ b/contrib/init/fedfs
@@ -0,0 +1,11 @@
+# /etc/sysconfig/fedfs
+#
+# This configuration file controls the behavior of the rpc.fedfsd
+# daemon, part of the fedfs-utils package.  For the vast majority
+# of users, there shouldn't be any need to alter the contents of
+# this file at all.
+
+#
+# Optional arguments passed to rpc.fedfsd.  See rpc.fedfsd(8)
+#
+#RPCFEDFSDARGS="--debug --uid 501 --gid 501 --port 45678"
diff --git a/contrib/init/rpcfedfsd b/contrib/init/rpcfedfsd
new file mode 100755
index 0000000..93be6ed
--- /dev/null
+++ b/contrib/init/rpcfedfsd
@@ -0,0 +1,121 @@
+#!/bin/bash
+#
+# rpcfedfsd     Start up and shut down FedFS admin service
+#
+# chkconfig: 345 19 83
+# description: Starts user-level daemon for NFSv4 that handles \
+#              FedFS administrative requests
+
+### BEGIN INIT INFO
+# Provides: rpcfedfsd
+# Required-Start: $network $syslog
+# Required-Stop: $network $syslog
+# Default-Start: 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Starts the NFSv4 fedfsd daemon
+# Description: NFS is a popular protocol for file sharing across \
+#          networks. This daemon processes FedFS administrative \
+#          requests on NFSv4 exports.
+### END INIT INFO
+
+##
+## Copyright 2011 Oracle.  All rights reserved.
+##
+## rpcfedfsd is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License version 2.0 as
+## published by the Free Software Foundation.
+##
+## rpcfedfsd is distributed in the hope that it will be useful, but
+## WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License version 2.0 for more details.
+##
+## A copy of the GNU General Public License version 2.0 is
+## available here:
+##
+##      http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
+##
+
+# Source function library.
+. /etc/init.d/functions
+
+# Source networking configuration.
+[ -f /etc/sysconfig/network ] &&  . /etc/sysconfig/network
+
+# Check for, and source, configuration file; otherwise set defaults
+[ -f /etc/sysconfig/fedfs ] && . /etc/sysconfig/fedfs
+
+RETVAL=0
+prog="rpc.fedfsd"
+LOCKFILE=/var/lock/subsys/$prog
+uid=`id | cut -d\( -f1 | cut -d= -f2`
+
+case "$1" in
+  start|condstart)
+	# Check that networking is up.
+	[ "${NETWORKING}" != "yes" ] && exit 6
+
+	[ ! -x /usr/sbin/rpc.fedfsd ] && exit 5
+
+	# Only root can start the service
+	[ $uid -ne 0 ] && exit 4
+
+	# Make sure the daemon is not already running.
+	[ "$1" = "condstart" -a -n "`pidofproc $prog`" ] && {
+		killproc $prog "-SIGHUP" > /dev/null
+		exit 0
+	}
+	[ "$1" = "start" ] && {
+		if status $prog > /dev/null ; then
+			exit 0
+		fi
+	}
+	rm -f $LOCKFILE
+
+	echo -n $"Starting RPC fedfsd: "
+
+	# Start daemon.
+	daemon $prog ${RPCFEDFSDARGS}
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && touch $LOCKFILE
+	;;
+  stop)
+	# Only root can stop the service
+	[ $uid -ne 0 ] && exit 4
+
+	# Stop daemon.
+	echo -n $"Stopping RPC fedfsd: "
+	killproc $prog
+	RETVAL=$?
+	echo
+	rm -f $LOCKFILE
+	;;
+  status)
+	status rpc.fedfsd
+	RETVAL=$?
+	;;
+  restart|reload|force-reload)
+	$0 stop
+	$0 start
+	RETVAL=$?
+	;;
+  condrestart|try-restart)
+	if [ -f $LOCKFILE ]; then
+		$0 restart
+		RETVAL=$?
+	fi
+	;;
+  condstop)
+	if [ -f $LOCKFILE ]; then
+		$0 stop
+		RETVAL=$?
+	fi
+	;;
+  *)
+	echo $"Usage: $0 {start|stop|restart|force-reload|condstart|condrestart|try-restart|status|condstop}"
+	RETVAL=2
+	;;
+esac
+
+exit $RETVAL